View Issue Details

IDProjectCategoryView StatusLast Update
0003051FEM[FreeCAD] Featurepublic2018-01-24 22:24
ReporterberndhahnebachAssigned Toberndhahnebach 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003051: FEM - mesh, ccx, export mixed mesh types to inp format
DescriptionAt the moment 0.17.11129 (june 2017) only on mesh dimension is allowed to be in an analysis. Means either beam or shell or volume elements. The long term is to allow mixed element types in an analysis too. CalculiX supports this. Two main steps:

- extend the mesh exporter to export such meshes.
- adapt the constraint tools to the mixed meshes (this should be in a separate bug report)

See forum topic:
https://forum.freecadweb.org/viewtopic.php?f=18&t=21029#p162984


and related:
- the FEM mesh view provider does not support displaying such meshes see #2969
- in post https://forum.freecadweb.org/viewtopic.php?f=4&t=21233&start=10#p165575 is explained how to create such mesh
- might be interested in the regard of creating such meshes too ... https://forum.freecadweb.org/viewtopic.php?f=8&p=175915#p175895
TagsNo tags attached.

Relationships

related to 0002969 confirmed FEM, GUI, mesh VP, faces of all elements should be shown, not only the faces of the volume elements 

Activities

berndhahnebach

2018-01-03 10:33

developer   ~0010682

https://github.com/berndhahnebach/FreeCAD_bhb/commit/2ee72456e2985185beb452c46c97bd9c1867ebdd and parent commits for example https://github.com/berndhahnebach/FreeCAD_bhb/commit/921c8b73768425797dea7619d49742688321d86d

https://forum.freecadweb.org/viewtopic.php?f=18&t=25502

berndhahnebach

2018-01-03 10:36

developer   ~0010683

see last note for the links to the resolving commit

Kunda1

2018-01-23 18:52

manager   ~0010828

@berndhahnebach can we close this ticket?

Kunda1

2018-01-24 22:24

manager   ~0010849

Closing

Issue History

Date Modified Username Field Change
2017-05-27 10:07 berndhahnebach New Issue
2017-05-27 10:10 berndhahnebach Description Updated View Revisions
2017-05-27 10:27 berndhahnebach Description Updated View Revisions
2017-05-27 12:08 Kunda1 Description Updated View Revisions
2017-05-27 12:08 Kunda1 Relationship added related to 0002969
2017-05-28 10:52 berndhahnebach Description Updated View Revisions
2017-05-28 16:41 berndhahnebach Description Updated View Revisions
2017-05-28 22:09 berndhahnebach Summary FEM, mesh, ccx, export mixed mesh types to inp format => FEM - mesh, ccx, export mixed mesh types to inp format
2018-01-03 10:33 berndhahnebach Note Added: 0010682
2018-01-03 10:36 berndhahnebach Assigned To => berndhahnebach
2018-01-03 10:36 berndhahnebach Status new => resolved
2018-01-03 10:36 berndhahnebach Resolution open => fixed
2018-01-03 10:36 berndhahnebach Note Added: 0010683
2018-01-23 18:52 Kunda1 Note Added: 0010828
2018-01-24 22:24 Kunda1 Status resolved => closed
2018-01-24 22:24 Kunda1 Fixed in Version => 0.17
2018-01-24 22:24 Kunda1 Note Added: 0010849